import { config } from '@/composable/useConfig'

// default settings
export const appConfig = config({
  title: ref('PrimeDash'),
  theme: ref('system'),
  navigationMenu: ref('vertical'), // horizontal or vertical
  isBoxLayout: ref(true),
  isVerticalMenuMini: ref(false),
  defaultLocale: ref('en'), // en | fr | ar
  isRtl: ref(false),
  isSemiDark: ref(false),
  skins: ref('modern'), // classic | modern | decent | bordered
  isNavbarFixed: ref(true),
  routeTransition: ref('slide-x-transition'), // choose `none` to disable the route transition
})
